Subject: Re: Presskits for 8.1 Release

From: "Magnus Hagander" <[email-masked]>
Date: Thu, 3 Nov 2005 18:19:13 +0100

> TRANSLATORS:  PLEASE see Magnus' comments below about bad 
> encodings and missing parts of presskits.
> 
> Magnus: the translators can (hopefully) fix the encoding issues. 
> However, I don't know that they can fix the XHTML issues.   
> Can the web 
> team do this somehow?

Not easily. We could probalby do it for languages like german, but for
languages like russian and japanese there's not telling how much we'd
break... I think it'd be much easier for the translators, considering
they have what's hopefully a readable template to work from (in the
english presskit)

> > In general, firefox doesn't like <a name="foo"/>, for some 
> reason - it 
> > doesn't consider it closed. Needs to be <a name="foo"></a>. Without 
> > doing this, all paragraphs will be underlined when the mouse hovers 
> > over them...
> 
> I don't recall putting such a thing in.  How about a line number?

mha@developer:~/pgfoundry/press/pr/releases/8.1/en$ grep -n "<a name"
presskit81.html.en
16:<a name="original_release" /><h2>Original Press Release</h2>
100:<a name="additional_features" /><h2>Additional Features in this
Release</h2>
142:<a name="quoted_companies" /><h2>Quoted Companies</h2>
164:<a name="download" /><h2>Where to Download</h2>
177:<a name="docs" /><h2>Documentation</h2>
187:<a name="license" /><h2>License</h2>
201:<a name="contact" /><h2>Contacts</h2>
215:<a name="companies" /><h2>Corporate Support</h2>
228:<a name="additional_software" /><h2>Links</h2>
279:<a name="translations" /><h2>Official Translations of This

> > I also notice there is no header on the page - there was 
> one for 8.0.
> > Was that really intentinoal?
> > (8.0 had <h1>PostgreSQL 8.0 Press Kit</h1>, 8.1 has only subheaders)
> 
> Nope, it's because the header was added after the fact last 
> year so I didn't have it in my template.  :-(  We can add it 
> easily enough for English, but the others?

Oh. Yeah, you'd have to have each translator do it.

> > In the english list, this one is ilnked from "Greek", that 
> seems wrong.
> 
> Actually, it is Greek.  I got mixed up.

Ok.

> >>FR: French
> > 
> > 
> > There is no 8.1 file in cvs that I can find.
> 
> Eh?  CVS error.  Will attempt to re-post.   Since CVS is 
> giving me fits 
> over the FR directory (it doesn't like it for some reason) I 
> may have to drop French into the main directory.

Ok. We just copy it anyway, so that doesn't really matter.

> >>RO: Romanian
> > 
> > 
> > Not completed, has things like <link here> still in it in at least 
> > four places.
> 
> Ah.  Drop this one then.   I've not heard from the Romanian 
> folks in a week.

Ok.

> >>RU: Russian
> > 
> > 
> > Not valid XHTML, and also has <link> stuff still in there. See 
> > 
> http://validator.w3.org/check?uri=http%3A%2F%2Fmagnus-master.pgadmin.o
> > rg
> > 
> %2Fabout%2Fpress%2Fpresskit81.html.ru&charset=%28detect+automatically%
> > 29
> > &doctype=Inline&ss=1&verbose=1
> 
> > Me too ;) But I can tell which are wrong by feeding them 
> through the 
> > XHTML validator at w3.org.
> 
> I don't have the time or the knowledge to fix XHTML problems; 
> that's my markup that you're having problems with and it 
> represents the limit of my HTML know-how (I *did* post to 
> this list asking for feedback before the translations 
> started, but, whatever)  Can someone on the web team take this over?

Not sure - I certainly wouldn't go into doing russian etc on my own, as
I wouldn't know how to actually fix a lot of the things.

> > They can be converted with "iconv" if you know the source encoding, 
> > though. But you need to know the source...
> 
> > There is a list at the bottom of the page that refers to a 
> whole lot 
> > of languages that don't exist... Such as Greek, Hungarian, Italian, 
> > Polish, Slovenian, Swedish, Turkish (may be more, didn't 
> check carefully).
> 
> Right.  I'm waiting to see which presskits are "OK" before 
> revising that list.

Ok.

> > Seems to be perfect XHTML :-) 
> 
> Well, at least I got *something* right.

:-)

//Magnus

---

From: Josh Berkus <[email-masked]>
Date: Thu, 03 Nov 2005 09:32:43 -0800

Magnus,

> 279:<a name="translations" /><h2>Official Translations of This

Oh.   I was going from examples of how to do an anchor tag.  I take it 
that it was wrong?

> Oh. Yeah, you'd have to have each translator do it.

Well, we'll get the headers from some people but not others.   Can we 
live without the ones we don't get?  Or put them in English?

> I wouldn't know how to actually fix a lot of the things.

Hmmm.  Well, the Russians don't necessarily know any XHTML.   How can we 
get out of this?

--Josh

---

From: Michalis Kamprianis <[email-masked]>
Date: Thu, 03 Nov 2005 19:51:21 +0200

I will verify XHTML compliance on the greek translation, but there 
should be no problems with the encoding or any headers. It's plain UTF-8 
and I think that's the way to go with multilingual presskits.
If you wish we may add the character-set meta tag but your server might 
also send it :)

Josh Berkus wrote:
>>> I don't have the time or the knowledge to fix XHTML problems; that's 
>>> my markup that you're having problems with and it represents the 
>>> limit of my HTML know-how (I *did* post to this list asking for 
>>> feedback before the translations started, but, whatever)  Can someone 
>>> on the web team take this over?
>>
>>
>>
> ---------------------------(end of broadcast)---------------------------
> TIP 5: don't forget to increase your free space map settings